petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCholeskyFactor

Performs in-place Cholesky factorization of a symmetric matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCholeskyFactor(Mat mat,IS perm,const MatFactorInfo *info)

Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| perm | - row and column permutations Many br
| f | - expected fill as ratio of original fill Many br

### Notes

See MatLUFactor() for the nonsymmetric case. See also Many brMatCholeskyFactorSymbolic(), and MatCholeskyFactorNumeric(). Many br

Most users should employ the simplified KSP interface for linear solvers Many brinstead of working directly with matrix algebra routines such as this. Many brSee, e.g., KSPCreate(). Many br

Many br

### See Also

MatLUFactor(), MatCholeskyFactorSymbolic(), MatCholeskyFactorNumeric()
MatGetOrdering() Many br

Developer Note: fortran interface is not autogenerated as the f90 Many brinterface defintion cannot be generated correctly [due to MatFactorInfo] Many br

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages